%global dlrn_nvr tripleo-ansible-0.8.1.dev114-2.20220406160113.2d0ab9a
%global dlrn 1
%define upstream_version 0.8.1.dev114
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%global srcname tripleo_ansible
%global rolename tripleo-ansible

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 0.8.1
Release: 2.20220406160116%{?dist}
Summary:        Ansible project for TripleO

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/tripleo-ansible
Source0: tripleo-ansible-0.8.1.dev114-2.20220406160113.2d0ab9a.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=2d0ab9ad87f855830380d573231017982d09d964
Patch0001: 0001-DOWNSTREAM-ONLY-Specify-the-rhosp-constraints-regard.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Specify-the-rhosp-constraints-regard.patch
Patch0003: 0003-bnr-Fix-bad-UEFI-working.patch
Patch0004: 0004-tripleo-keystone-resources-reduce-permissions-for-cl.patch
Patch0005: 0005-Train-only-Reduce-permission-of-config-download-file.patch
Patch0006: 0006-TRAIN-ONLY-Fix-ceph-ansible-permissions-when-workdir.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-jinja2 >= 2.8.0
%if %{pyver} == 2
BuildRequires: PyYAML
%else
BuildRequires: python%{pyver}-PyYAML
%endif

Requires: ansible >= 2.8.0
Requires: ansible-collections-openstack >= 1.3.0
Requires: ansible-config_template
Requires: ansible-role-openstack-operations
Requires: python%{pyver}-paunch
Requires: python%{pyver}-jinja2 >= 2.8.0

%description

Ansible project for TripleO

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/


%changelog
* Wed Oct 05 2022 Jon Schlueter <jschluet@redhat.com> 0.8.1-2.20220406160116
- [TRAIN-ONLY] - Fix ceph-ansible permissions when workdir is created (rhbz#2130109)
- Train-only: Reduce permission of config-download files (CVE-2022-3101, rhbz#2120660)
- tripleo-keystone-resources: reduce permissions for clouds.yaml (CVE-2022-3146, rhbz#2123767)

* Wed Apr 06 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220406160113.2d0ab9a
- bnr - Fix bad UEFI working (rhbz#2020656)

* Thu Mar 31 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220401012458.2d0ab9a
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Disable auto discovery

* Fri Mar 25 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220326005211.fa2967f
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Remove old per step startup configs

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220318005241.d51ec13
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Ensure firewall rules are saved
- Fix how tripleo_multipathd updates multipath.conf
- Disable gateway for Octavia management subnet

* Sat Mar 05 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220306005312.9f1d806
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add ceph_cluster option during auth export

* Thu Mar 03 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220304004947.30352d0
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Improve connectivity check
- Don't use install_command with tox

* Mon Feb 28 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220228065155.9695125
- Improve connectivity check (rhbz#2054347)

* Tue Feb 15 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220216005905.9695125
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make template ovn_chassis_mac_map backwards-compatible

* Tue Feb 15 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220215090656.c0ddf19
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [only train] BnR set default value for variable

* Sat Feb 12 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220213005251.d418568
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- historical variable evaluated as bool

* Sat Feb 05 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220206005228.b7f71c9
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Rename variables to keep being the same as in wallaby
- Disable cloud-init netconfig post os-net-config

* Fri Feb 04 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220205005231.c5de33a
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add the MTU size to ping to catch network issues

* Wed Feb 02 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220203005237.2a941aa
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Enable B&R of systems using UEFI bootloader

* Mon Jan 31 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220201005252.2718509
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- The NFS directory parameter is hardcoded instead of re-used
- Create nova flavor for Octavia

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220127010308.b64804f
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add ping test for all networks gateway IPs
- Add debug for tripleo_delegate_to undefined failure

* Wed Jan 12 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20220112214927.5e744eb
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use service_net_map for ganesha_vip

* Wed Dec 22 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211223005854.b33463b
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- bnr - Remove the filter to backup the root grants [mysql]

* Tue Dec 21 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211222005013.044384a
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Create SG rule for Octavia log offloading

* Tue Dec 21 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211221154851.1fdb766
- Update patches

* Thu Dec 16 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211216164949.1fdb766
- Revert "Automate the /var/lib/ceph backup during recovery phase" (rhbz#2010657)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Enable security group on the Octavia management port
- Disable image-serve MultiViews

* Mon Nov 29 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211130004936.54e953f
- Revert "Automate the /var/lib/ceph backup during recovery phase" (rhbz#2010657)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add tripleo_dnf_stream Ansible module.

* Fri Nov 19 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211120024957.78dd878
- Revert "Automate the /var/lib/ceph backup during recovery phase" (rhbz#2010657)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use service_net_map for ceph_dashboard_vip

* Fri Oct 29 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211030014918.9409eb9
- Update patches

* Fri Oct 29 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211030004924.9409eb9
- Revert "Automate the /var/lib/ceph backup during recovery phase" (rhbz#2010657)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- bnr fix the exportation of the ceph authentication

* Tue Oct 19 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211019095008.71b1428
- bnr fix the exportation of the ceph authentication (rhbz#2011044)

* Fri Oct 15 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211016005240.71b1428
- Revert "Automate the /var/lib/ceph backup during recovery phase" (rhbz#2010657)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- bnr: Fixed the ERROR 1141 when users has fqdn
- Allow LVM filter to work when either allowlist or denylist are empty

* Thu Oct 14 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211014105050.7da548d
- bnr: Fixed the ERROR 1141 when users has fqdn (rhbz#2013939)

* Fri Oct 08 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211009004859.7da548d
- Revert "Automate the /var/lib/ceph backup during recovery phase" (rhbz#2010657)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Disable TraceEnable to satisfy security scanners

* Tue Oct 05 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211006014815.0b85b06
- Update patches

* Tue Oct 05 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211006004816.0b85b06
- Revert "Automate the /var/lib/ceph backup during recovery phase" (rhbz#2010657)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make Galera desync operation more resilient
- Automate the /var/lib/ceph backup during recovery phase

* Tue Oct 05 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211005144826.553f361
- Revert "Automate the /var/lib/ceph backup during recovery phase" (rhbz#2010657)

* Tue Oct 05 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211005134811.553f361
- Automate the /var/lib/ceph backup during recovery phase (rhbz#1983613)

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20211003005749.553f361
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Explicitly define engine runtime in containers.conf

* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210929005853.e7de521
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Validating againsts stdout instead of stdout_lines

* Wed Sep 08 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210909005911.41b2fe4
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tuned: install cpu-partitioning profile by default

* Thu Sep 02 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210902131145.f7e4c9a
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use different name to distinguish between facts and vars in octavia
- BnR: managed ceph properly to take a backup of the node

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210825104813.12d57ae
- Update patches

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210825090805.12d57ae
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Disable mlockall if postcopy is enabled

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210817225812.7bf955d
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add tripleo_ovn_cluster role
- TRAIN-ONLY Fix overcloud support report for T

* Sun Aug 15 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210815224807.fb82335
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Set ganesha_vip when no StoragetNFS network

* Thu Aug 12 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210812124813.7198788
- Disable mlockall if postcopy is enabled (rhbz#1992506)

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210810235822.7198788
- Update patches

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210810225940.7198788
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo-kernel: Adding reboot_protection variable

* Mon Aug 09 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210809234806.118bf6d
- Update patches

* Mon Aug 09 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210809224807.118bf6d
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Copy generated /boot/grub2/grubenv to EFI dirs

* Mon Aug 09 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210809194828.b5a6180
- tripleo-kernel: Adding reboot_protection variable (rhbz#1975240)

* Fri Aug 06 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210806224810.b5a6180
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Remove the usage of ansible_date_time
- Online backup of the galera database must desynchronize the node before backup

* Thu Aug 05 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210805214809.fb0994c
- Copy generated /boot/grub2/grubenv to EFI dirs (rhbz#1987092)

* Wed Aug 04 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210804234809.fb0994c
- Update patches

* Wed Aug 04 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210804224814.fb0994c
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Configure vhost-postcopy-support

* Tue Aug 03 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210803224805.6132dd4
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Allow for cron programming of backups
- tripleo-kernel: prevent reboot when TSX flag was added

* Tue Aug 03 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210803090642.1b0544f
- Configure vhost-postcopy-support (rhbz#1986567)

* Mon Aug 02 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210802224809.1b0544f
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix tripleo_backup_and_restore_rear_simulate boolean check

* Mon Aug 02 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210802095009.7045d9d
- tripleo-kernel: prevent reboot when TSX flag was added (rhbz#1975240)

* Thu Jul 29 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210729224813.7045d9d
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use serial or parallel execution depending on the kind of backup

* Wed Jul 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210729004946.3e03bf0
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add support for v2 registries.conf
- More descriptive task names

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210727171553.4626e42
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Switch from pacemaker standby to pacemaker stop
- Remove become: true from the role
- Backup and Restore playbook is not 100% idempotent when running in snapshot mode
- Explicitly set ceph_dashboard_vip when Ceph Dashboard is enabled
- Move the snapshots feature to optional/beta
- tripleo-transfer: ability to customize files transfer options

* Wed Jul 14 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210714224810.3670515
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Replace LEAPP_DEVEL_SKIP_RHSM with LEAPP_NO_RHSM
- BnR Test NFS server conectivity & ubi-minimal container image

* Tue Jul 13 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210713224806.9d10386
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Avoid hardcoding /home/stack in cli-undercloud-db-backup.yaml.

* Sat Jul 10 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210710224809.03584e4
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- replacing "," with " " to avoid timemaster to consider it as a single interface
- Add playbook to perform UC DB backup only.

* Fri Jul 02 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210702224947.74d4165
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Restart octavia rsyslog after updating the config
- Enable DPDK OVS PMD Auto Load Balance

* Fri Jun 25 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210625224810.b92eef7
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- pmd auto balance parameters support in ovs
- BnR Added a nfs validation when the nfs server is installed

* Wed Jun 16 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210617004810.e3fefe2
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [Train-only] Remove duplicate /etc/hosts entries

* Wed Jun 09 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210609224823.61eb63e
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make execution of the backup idempotent
- Add podman's events_logger option by default set to journald

* Wed Jun 09 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210609134811.556b51e
- Add podman's events_logger option by default set to journald (rhbz#1967878)

* Tue Jun 08 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210608224813.556b51e
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- After SFTP backup, the backup file and the iso must be deleted from the machine

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210608000936.281b87b
- Update patches

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.1-2.20210607093617.281b87b
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Do not convert amphora images to raw if they are already raw

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 0.7.1-2.20210603175833.9ae805d
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Correct values for podman container

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 0.7.1-2.20210601021641.2979a00
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix tripleo_network config conditional

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 0.7.1-2.20210527214741.3c614f9
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 0.7.1-2.20210513023001.3c614f9
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Remove redhat-8.2.yml var file
- Use openstack ansible collection instead of os_ modules
- Move away from md5 digests in managing octavia amphora images
- Write hosts entries per environment
- Support for timemaster service with tripleo-ansible role

* Mon May 03 2021 OSP Prod Chain <dev-null@redhat.com> 0.7.1-2.20210504014759.76a537a
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix ovs_dpdk molecule job to work with stream node
- Fix molecule jobs to work with stream nodes
- Use ubi8/ubi-minimal image on tripleo-containter-rm tests

* Fri Apr 30 2021 OSP Prod Chain <dev-null@redhat.com> 0.7.1-2.20210501014807.99d747c
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use centos-8 stream for molecule jobs
- Added back the backup-and-restore molecule to the gate

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.7.1-2.20210428173112.54ad99e
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Compute VIPs using net_vip_map instead of hiera

* Sun Apr 25 2021 OSP Prod Chain <dev-null@redhat.com> 0.7.1-2.20210426004744.2e5000d
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix the way of calling firewalld

* Fri Apr 23 2021 OSP Prod Chain <dev-null@redhat.com> 0.7.1-2.20210424004734.2dc2e7c
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Do not log ssh keys by default

* Mon Apr 19 2021 OSP Prod Chain <dev-null@redhat.com> 0.7.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use --ignore-times when transferring files via rsync
- Use ansible_facts in tripleo_ssh_known_hosts role
- Update podman_container from the collection
- Accept 142 as an exit code
- Do not update podman during deployment
- Add OVN chassis macs to hieradata

* Mon Mar 29 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Remove layout overrides and use tripleo-ci templates instead

* Mon Mar 22 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [TRAIN-Only] Specify default podman network

* Sat Mar 13 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Enable fact bits for ceph execution

* Fri Mar 12 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Enforce TRIPLEO_MINOR_UPDATE to be a string at all times

* Thu Mar 11 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Build osd caps section when there's at least >= 1 pool

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Modifying playbooks to support python-tripleoclient B&R commands

* Sat Mar 06 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [tripleo_transfer] Do transfers directly from src to dst
- Fix triple molecule modules job

* Fri Mar 05 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [tripleo_transfer] Convert testing to use delegated driver

* Wed Mar 03 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Train-only make tripleo_diff_exec py2-compatible
- Fix bootstrap ansible_fact
- Use ansible_facts instead
- Update skeleton role to use ansible_facts
- Reduce fact gathering

* Fri Feb 26 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Option to remove the self-installed ReaR cron task
- Handle containers with no namespace

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Revert "Remove json_error callback"
- Make server group quota unlimited for Octavia

* Mon Feb 22 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Allow rhsm subscription test to be overrided in RHOSP deployment.

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1928223)

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix typo in set_fact s/heradata_content/hieradata_content
- Support default pid limits in containers.conf

* Tue Feb 16 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Opens ports to NFS server's firewalld

* Mon Feb 15 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Avoid reboot for node update even when kernelargs changed

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix molecule jobs after release of cryptography3.4

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> 0.6.0-1
- Update patches

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add tripleo_multipathd role

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Ansible-runner is failing when passing host to display
- Remove pcs/pacemaker package installation from upgrade tasks

* Tue Jan 26 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Ensure tuned_custom_profile is used for tuned role

* Sat Jan 16 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use the UBI8 image for testing

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix check for existing nvdimm namespaces
- Run LVM filter tasks when enabled, regardless of allow/deny list size
- [TRAIN-Only] Allow configuration of the default podman network
- Switch off of docker.io for testing

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Convert docker molecule usage to podman

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Update for a podman_container from collection

* Wed Dec 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches

* Wed Dec 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Pin container tools for CI

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches

* Thu Dec 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Update kernel args grub file entry inline with upgrade changes
- Stop NetworkManager from updating resolv.conf

* Fri Dec 04 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- port c7 molecule job to c8 - part 3

* Wed Nov 25 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- New option to trigger paunch configuration on only one container.

* Sat Nov 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [TRAIN-Only] Remove __init__ from base strategy

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add tripleo_nodes_validation role

* Tue Nov 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [c7-train] Switch c7 jobs to content provider

* Thu Oct 29 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Install osc-placement package during client package installation
- Remove centos-7-standalone-upgrade

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Skip tripleo_lvmfilter unless enabled or dry_run is set

* Fri Oct 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add tripleo-lvmfilter role to restrict visible block devices for LVM2

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [train] Switch to content provider jobs/templates

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add ceph_client default options to ceph.conf
- BaR doc update + lftp missing package

* Thu Oct 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix podman and buildah only on rhel-8.2
- doc: Don't use ansible 2.10.0

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix podman version

* Thu Oct 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Instruct systemd to accept 137 and 143 exit code

* Tue Oct 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Move c7 molecule job to c8 - Part 2
- BaR: Keep /etc/exports content
- Compute dashboard_frontend_vip according to the haproxy frontend

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make profile tasks host aware
- Add image id compare
- Stop using profile_tasks as a base
- Allow tripleo_firewall to work in check mode
- Check mode support for 2 modules

* Thu Oct 01 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [train-only] install docker.com gpg key

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add ansible-requirements as a constraint in CI
- Fix role name typo in octavia playbook

* Tue Sep 29 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_profile_tasks: add a final line break

* Fri Sep 25 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Don't use ansible 2.10.0

* Tue Sep 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add no_log to os_user async status
- Fix compatibility issue in tripleo callback
- Add guard to ensure a mapping has a valid key

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Move c7 mol jobs to c8

* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)

* Thu Sep 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Move c7 mol jobs to c8
- Move c7 mol jobs to c8

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add tripleo_ha_wrapper role
- Move c7 mol jobs to c8
- Add tripleo_diff_exec module

* Sat Sep 05 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Stop relying on future mtime in tripleo_nova_image_cache
- Workaround tripleo_nova_cache issue in ansible 2.9.11

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Additional permission fixes for roles
- Expose tripleo_container_manage_clean_orphans var
- Enable tripleo setup for molecule
- Update containers info module from collection
- Create a role for network config
- Enable pids_limit support
- Add OpenFlow10 to protocols for backwards compatability
- [tripleo-podman] Install specific version of buildah
- Add c8 multinode container job to check & gate
- Move first set of working mol jobs to CentOS-8
- Fixed linting

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Increase validity period of Octavia CA and certificates
- Scan existing controllers on update to pick up existing certs/private keys

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Create tripleo_container_config_scripts module

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Set ceph_ansible_limit to ansible_limit if ansible_limit defined

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use label rather than no_log

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Prepare tripleo deps repo in tripleo_client_install molecule job

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [TRAIN ONLY] Trigger scenario001/004 for tripleo-ceph roles

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_container_configs module

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Switch podman actions to use label

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Ensure those two tasks are compatible with t-h-t import

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Install pytest-xdist<2.0.0 for c7 jobs

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Ensure jq installed

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Restrict ansible install version

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add toggle for sensitive data within keystone

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Set the OpenFlow protocol while upgrading OVS from 2.11

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Refetch task

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make tripleo_sshd more idempontent
- Change drop action

* Sat Aug 01 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Port jobs from centos7 to centos8

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Switch from handlers to tasks
- Update firewall role to use an action plugin

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_states: change wording

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Revert "Ensure we produce a valid JSON while emptying the file"

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_podman_purge: try to use -f when pruning images
- container_systemd: improve debugging if service never starts

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Ensure we produce a valid JSON while emptying the file

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add tripleo_ovs_upgrade module.

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [TRAIN ONLY] remove double requirement for mock

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make run-local.yml use ansible_connection local, not ssh

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [train-only] container_systemd: clean and test requires for systemd

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Stop caturing stdout for container-image-prepare

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_container_manage: start systemd services which would be stopped

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_container_manage: continue to reduce tasks

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- BaR: Deleted duplicated variables

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix tripleo_profile_tasks callback plugin _output()

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use ansible_user only if ANSIBLE_REMOTE_USER is unset
- Introduce an Action Plugin to manage systemd services for containers

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Allow any_errors_fatal to be dynamic

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make buildah login optional

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add default value in CinderRbdExtraPools task condition
- [train] paunch: exit module if config doesn't exist
- Add debug output when rendering container files
- Add role for Container file(s) generation
- Fix Octavia amphora log offloading template path

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- container_status: "exec" checks status
- Introduce an Action Plugin to fetch container infos
- [train-only] add tenacity as a molecule requirements
- [train-only] change parent for tripleo-ansible-centos-7-role-addition
- container_startup_config: remove old startup config files
- tripleo_states: add missing space
- Add a new callback: tripleo_states
- tripleo_container_manage: only run exec/create playbooks when needed
- Update podman_container with better idempotency

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Molecule testing for TripleO Strategy Plugins

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Simplify ssh_known_hosts role

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Login with buildah too to allow registry access with buildah

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use registry:2.7.0 instead of registry:2

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix tripleo_hierdata permissions

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make throttle optional

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Run scenario004 for changes to tripleo-ceph-* roles
- Use ansible_user instead of ANSIBLE_REMOTE_USER env var
- Max percentage failure support
- Create tripleo base strategy class
- Add tripleo linear strategy

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Implement run_once

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Implement a tripleo free strategy

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Prepend timestamp callback output
- Implement container_startup_config module

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix host entries permissions

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Handle unreachable

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Set short ANSIBLE_SSH_CONTROL_PATH_DIR for all ceph roles
- Make tripleo_ceph_run_ansible handle change in remote_tmp

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Set short ANSIBLE_SSH_CONTROL_PATH_DIR for all ceph roles (rhbz#1851927)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use py3 for libselinux / libsemanage in Cent 7/8

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- BaR - Export ceph authentication

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Make sure failed containers get stopped by systemd

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Use filter for containers not running check

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Make tripleo_ceph_run_ansible handle change in remote_tmp (rhbz#1850059)
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Octavia: handle empty amphora image search result

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Ensure pip is installed

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- BaR: Set default container cli to podman

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Preserve inode when updating /etc/hosts
- Fix error when display_ok_hosts is false
- Do not set lo.disable_ipv6=0 by default
- Add support for Octavia amphora log offloading

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Fix missing output call

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Exclude callbacks env vars for ceph-ansible

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- added mcelog role

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- BaR: Pacemaker config backup

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add new role to manage persistent memory devices

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add security related podman options

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add tripleo_profile_tasks for tripleo_dense output
- Add tripleo dense formatting
- Add tripleo callback

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Change Ansible group from overcloud to allovercloud.

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_container_manage: set log_level appropriately
- Add log level config to podman_container module

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- [train-squash] Fix default timeouts for container_manage

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- podman/create: make containers_to_check more realistic

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Correctly match openvswitch package

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Add centos8 file for deps
- Remove fedora28 from redhat-8 test

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- Handle generating grub config for EFI partitions

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- container_manage: catch more containers with wrong return code

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- [DOWNSTREAM ONLY] Specify the rhosp constraints regarding version. (rhbz#1823847)
- tripleo_container_manage: fail if podman_container returns stderr

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Improve idempotency for podman_container

* Sat May 09 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- podman/systemd: relax the "until" condition

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Replace podman commands by module
- tripleo_container_rm: use loop instead of with_items

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Stop and remove container with module

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_container_*/molecule: pull fedora instead of centos8
- standalone-upgrade was not triggering

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo-redhat-enforce new role to enforce RHOSP constraints.

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Add ansible hieradata file

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Fix typo in sync script string container name comparison

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- container_manage: introduce create_retries and exec_retries vars

* Fri May 01 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Pin sh library used for molecule tests

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_container_manage: trim down ansible tasks

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_container_manage: manage systemd services per step vs start_order

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_container_manage: extract get_commands into playbooks

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_container_manage/systemd: add retries mechanism
- [train-squash] tripleo_container_manage: backport systemd optimizations
- Create Symlink /usr/bin/ansible-playbook-3 when not exist

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Simplify tripleo_container_rm to not check binaries
- [upgrade] Add inventory filters to map groups to roles

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Correctly set openstack_domains for ansible >= 2.9

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- podman_container: only add --rm if rm is True

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_container_manage: print message if no container action

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Switch install-docker with ensure-docker

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- (follow-up) run check mode for more molecule tests

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- Add ceph config overrides support

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_bootstrap: do not fail if OVS rpm wasn't found
- Hide passwords better
- Link tripleo-ansible inventory for ceph-ansible with force

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_hieradata/molecule: add check mode testing

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.5.0-1
- Update patches
- tripleo_all_nodes_data: sort enabled_services (idempotency)
- 'tripleo_ovs_dpdk_lcore_list' should be optional

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- container_puppet_config: don't show a warning if config_hash is empty
- tripleo_container_manage: add check mode testing
- tripleo_container_rm: fix check mode
- Relax get_failed_containers() filter

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_all_nodes_data: Append server node IP to the list.

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Use jinja templating when setting facts

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add filters to help process inventory for tripleo-upgrade

* Sat Apr 04 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add recursive get key from dict

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Using podman/docker ps to look for running sidecars
- BaR Always do MySQL dumps even the services wont be stopped

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Do not race with locks for the sync/wrapper script
- Do not duplicate config volumes for puppet manager
- Fix get_failed_containers() to correctly fetch container_data

* Sat Mar 28 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Rework how we push the content in the file

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Force container deletion if namespace does not exist in service_kill
- Insert hosts entries to the beginning of the file.

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_container_manage: improve logging for failed containers
- Increase number of retries for container create async task
- Add role/playbook to manage nova image cache

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Filter out wrapper commands from the ps output

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Improve idempotency for images in podman container

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add a new set of tasks to build the openstack pool and key list

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo-container-manage: fix check mode
- Revert "tripleo-container-image: add |list to containers_commands"

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove useless doc in tripleo-container-manag

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Fix logic to stop overrwriting upgrade hieradata

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Fix octavia services restart

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Only add host entries for role_networks

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Forces root for get_ssh_private_key
- Remove all ignore_errors to avoid confusion when debugging
- Add grafana vip on the storage network
- Tune-up package install
- Creates container_config_data module
- Fixed the condition for gather_domains
- Remove tripleo_ceph_fetch_dir role
- Fix error with command ansible module and pipes
- Don't fail symlinking puppet modules if directory exists
- filters: make get_domain_id more robust

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- BaR Rename the mysql_short_bootstrap_name

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- container_puppet_config: disable SElinux labelling

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Ensure rsync is installed during bootstrap

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Run standalone-upgrade job when touching container roles

* Sat Feb 22 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add tmpwatch to the bootstrap

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_container_manage: add systemd testcase for service reload
- podman/systemd: manage timer requires
- tripleo_container_rm: also remove systemd requires when they exist
- Add no_log to the podman login
- Use CI mirrors for molecule jobs
- tripleo_container_manage: disable logging for tasks using container_data
- paunch: add "cleanup" parameter, useful for apply action
- podman/systemd: fix task indentation for timer
- tripleo_container_manage/molecule: remove unused facts
- Add support for ceph_external_multi_config

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_container_manage: improve testing coverage with molecule

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Do not inherit the calling ansible env by default

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Fix keystone password rotation

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo_container_manage: remove podman/delete.yml and use another role
- tripleo_container_manage: avoid excessive logging with podman facts
- tripleo_container_manage: reduce downtime for minor updates
- tripleo_container_manage: reduce cleanup when single config is given
- tripleo_container_manage: create a filter to get changed containers
- Allow to update container startup config with new config hashes
- tripleo-container-manage: remove hashed-* from default
- tripleo-container-manage: provide more debug doc
- container_puppet_config: update config_hash for all steps
- Remove json_error callback
- container_puppet_config: python3 fix
- container_puppet_config: cleanup old config files
- Stop docker service when is available only.
- Octavia: do not attempt container restart on empty list

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Use domain variable instead of generic resource data
- tripleo-keystone-resources: hide logs for resources with passwords

* Thu Feb 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- [TRAIN] Backport tripleo-systemd-wrapper (squash)

* Thu Feb 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches

* Wed Feb 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Convert all of the fedora28 container usage to centos8

* Wed Feb 12 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- tripleo-config: use become by default
- tripleo-config: add tripleo_config_remote_src option
- Initial documentation for tripleo-keystone-resources role
- [train-squash] Backport tripleo-keystone-resources role

* Mon Feb 10 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- paunch: allow to override any container config
- Rise async value for containers starting commands
- Add service management support.
- Add module "container_puppet_config"

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Pass only variables starting with ANSIBLE

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Pin molecule to last known good
- tripleo-container-manage: introduce tripleo_container_manage_valid_exit_code
- Add more doc for tripleo-container-manage
- tripleo_container_manage: skip shutdown.yml if not necessary
- tripleo-container-manage: add tripleo_container_manage_systemd_teardown
- Execute healthchecks as root
- Update the helper filter for needs_delete
- Relax needs_delete() filter
- tripleo-container-manage: allow to override a container config
- tripleo-container-image: add |list to containers_commands
- tripleo-container-manage: show podman commands that are executed
- Initial documentation for tripleo-container-manage role

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Octavia: do not attempt container restart on empty list (rhbz#1794328)

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Improve idempotency of podman_container
- [SQUASH] backport tripleo-container-manage to stable/train
- paunch: use utils.load_config()

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Add action plugin for all_nodes data

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Generate the /etc/hosts content once.

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Allow comments in variable files to be rendered in docs

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove dracut-config-generic package

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove extra backslash in awk for tripleo-ceph-uuid role

* Mon Jan 13 2020 Giulio Fidente <gfidente@redhat.com> 0.4.2-0.20200110023759.ee731ba
- Remove extra backslash in awk for tripleo-ceph-uuid role (rhbz#1783299)

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Merge "paunch: only read container config JSON which starts by "hashed-"" into stable/train
- Use module command to run podman
- Include stdout and stderr in return of podman_container
- paunch: only read container config JSON which starts by "hashed-"

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 0.4.1-1
- Update patches
- Remove old Heat hosts entries in tripleo-hosts-entries
- Fix network hostnames in tripleo-hosts-entries
- Add tripleo-hosts-entries role

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Create Validations logging directory

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Copy all_nodes.json instead of rendering template

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Move localhost_address to net_ip_map hieradata

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Don't include tuned tasks when checkmode

* Sat Dec 07 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Networks may be none

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Handle range in the cpu_mask conversion for DPDK cores" into stable/train
- Handle range in the cpu_mask conversion for DPDK cores

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- tripleo-hieradata: re-enable "service_names"

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Optionally add ctlplane vips

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Delete Octavia configuration leftovers" into stable/train
- Delete Octavia configuration leftovers

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Ensure plugin path is correct

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Fix for Ansible playbook error, variable is undefined" into stable/train
- Merge "Adding setup_rear and setup_nfs task" into stable/train
- Merge "Make sure we add all_nodes_extra_map_data to all_nodes" into stable/train
- Fix for Ansible playbook error, variable is undefined
- Make sure we add all_nodes_extra_map_data to all_nodes
- Adding setup_rear and setup_nfs task

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Cast single value list as a string for config id" into stable/train
- Cast single value list as a string for config id

* Fri Nov 29 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Make sure role_networks is used from current processed node

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Add LVM2 package install to bootstrap

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Fix ssh_known_hosts hostname entries

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Prefer ovn_dbs_vip from all_nodes_extra_map_data

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Fix enabled_services to include all_nodes_extra_map_data" into stable/train
- Fix enabled_services to include all_nodes_extra_map_data

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Include ceph-ansible filter_plugins" into stable/train
- Include ceph-ansible filter_plugins
- Revert "Fix ssh_known_hosts hostname entries"

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Fix ssh_known_hosts hostname entries

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Add support for --limit option into ceph-ansible call

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Fix the filter plugin location for triple-ovs-dpdk role

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Revert "Workaround for ansible-lint installation failure"

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Simplify octavia post deploy configs" into stable/train
- Fix invalid variable issue with StorageNFS
- Simplify octavia post deploy configs

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 0.4.0-1
- Update patches
- Merge "Update TOX/UPPER_CONSTRAINTS_FILE for stable/train" into stable/train
- Workaround for ansible-lint installation failure
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- paunch: support a directory for "config" parameter

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix booleans settings in podman_container

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix cellv2 role handler"
- Merge "Add the Apache license to the overcloud-delete playbook"
- Merge "Use executable for podman container from params"
- Merge "Install packages and load kernel modules before configuring sysctl."
- Use executable for podman container from params
- Merge "Update config to support RHEL/CENT8"
- Fix cellv2 role handler
- Add the Apache license to the overcloud-delete playbook
- Install packages and load kernel modules before configuring sysctl.
- Update config to support RHEL/CENT8

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove leftovers for podman-image*
- Merge "Remove readme files within the roles"
- Merge "Add a playbook for the "openstack overcloud delete" CLI Command"
- podman_container: only add --volume if item not empty
- Add a playbook for the "openstack overcloud delete" CLI Command
- Remove readme files within the roles

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- podman_container: command now accepts lists

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "scenario010 nonvoting""
- Revert "scenario010 nonvoting"

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Optional flag file for tripleo-transfer to prevent overwriting"
- Optional flag file for tripleo-transfer to prevent overwriting

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix port info lookup parsing"
- Use dynamic argument_spec from documentation
- Fix port info lookup parsing
- Change parameters processing to class based
- Merge "paunch: add support for 'cleanup'"
- Merge "podman_container: add log_driver support"
- podman_container: add log_driver support
- Merge "podman_container: move ulimit into a list"
- Merge "podman_container: fix some booleans"
- Merge "Add podman_volume_info ansible module"
- Merge "Set calling_ansible_environment_variables after preset vars"
- Merge "Add podman_container module"
- podman_container: move ulimit into a list
- podman_container: fix some booleans
- Set calling_ansible_environment_variables after preset vars
- Add podman_container module
- Add podman_volume_info ansible module
- paunch: add support for 'cleanup'

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove podman_image*"
- Merge "Add missing [] around all_nodes_extra_map_data"
- Add missing [] around all_nodes_extra_map_data
- Remove podman_image*



